/**
 * Initially copied from https://github.com/bradfrost/ish./tree/master/js but adapted over time.
 */
(function (w, $) {
  var 
    viewportResizeHandleWidth = 14, //Width of the viewport drag-to-resize handle
    $sgWrapper = $('#sg-gen-container'), //Wrapper around viewport
    $sgViewport = $('#sg-viewport'), //Viewport element
    hash = window.location.hash.replace(/^.*?#/, '');

  //URL Form Submission
  $('#url-form').submit(function (e) {
    var urlVal = $('#url').val();
    var regex = /((([A-Za-z]{3,9}:(?:\/\/)?)(?:[-;:&=\+\$,\w]+@)?[A-Za-z0-9.-]+|(?:www.|[-;:&=\+\$,\w]+@)[A-Za-z0-9.-]+)((?:\/[\+~%\/.\w-_]*)?\??(?:[-\+=&;%@.\w_]*)#?(?:[\w]*))?)/;

    if (regex.test(urlVal)) {
      return;
    } else {
      var newURL = "http://" + urlVal;
      $('#url').val(newURL);
      return;
    }

  });

  $('a[data-cpl-size]').on('click', function (e) {
    e.preventDefault();
    const width = $(e.target).attr('data-cpl-size');
    $(e).parent().toggleClass('active');
    sizeiframe(width);
  });

  //Resize the viewport
  //'size' is the target size of the viewport
  //'animate' is a boolean for switching the CSS animation on or off. 'animate' is true by default, but can be set to false for things like nudging and dragging
  function sizeiframe(size, animate) {
    //Conditionally remove CSS animation class from viewport
    if (animate === false) {
      $sgWrapper.removeClass("vp-animate");
      $sgViewport.removeClass("vp-animate"); //If aninate is set to false, remove animate class from viewport
    } else {
      $sgWrapper.addClass("vp-animate");
      $sgViewport.addClass("vp-animate");
    }

    $sgWrapper.width(size + viewportResizeHandleWidth); //Resize viewport wrapper to desired size + size of drag resize handler
    $sgViewport.width(size); //Resize viewport to desired size
    $sgViewport.height('800px');
  }

  // capture the viewport width that was loaded and modify it so it fits with the pull bar
  var origViewportWidth = $sgViewport.width();
  $sgWrapper.width(origViewportWidth);
  $sgViewport.width(origViewportWidth - 14);

  //Read Hash In URL
  if (!isNaN(hash) && hash !== '') { //if screen size is a number
    sizeiframe(parseInt(hash));
    console.log('this is a number');
  } else {
    sizeiframe(800);
    console.log('this is not a number');
  }

})(this, jQuery);
