<?php

namespace Drupal\dpl;

use Drupal\consumers\Entity\Consumer;
use Drupal\node\Entity\NodeType;
use Drupal\Tests\block\Traits\BlockCreationTrait;
use Drupal\Tests\RandomGeneratorTrait;
use Drupal\TestSite\TestSetupInterface;

class TestSetup implements TestSetupInterface {

  use BlockCreationTrait;
  use RandomGeneratorTrait;

  /**
   * {@inheritdoc}
   */
  public function setup() {
    \Drupal::service('module_installer')->install(
      ['node', 'block', 'dpl']
    );
    NodeType::create([
      'type' => 'article',
      'name' => 'Article'
    ])->save();

    Consumer::create([
      'label' => 'preview',
      'preview_url' => 'http://preview.example/[node:nid]',
      'preview_label' => 'Visit preview',
      'preview_browser_sizes' => [
        '300|Phone',
        '700|Tablet',
        '1000|Desktop',
      ],
    ])->save();
    Consumer::create([
      'label' => 'live',
      'preview_url' => 'http://live.example/[node:nid]',
      'preview_label' => 'Visit live',
      'preview_browser_sizes' => [
        '300|Phone',
        '700|Tablet',
        '1000|Desktop',
      ],
    ])->save();

    $this->placeBlock('local_tasks_block');
  }

}
