module.exports = {

  before: function(browser) {
    browser
      .drupalInstall({ setupFile: __dirname + '/TestSetup.php' });
  },
  after: function(browser) {
    browser
      .drupalUninstall();
  },
  'Visit a test page and create some test page': (browser) => {
    browser
      .drupalLoginAsAdmin(() => {
        browser
          .drupalRelativeURL('/user')
          .drupalRelativeURL('/node/add/article')
          .setValue("input[name='title[0][value]']", 'test')
          .click('input[name=op]');
        
        browser
          .waitForElementPresent('ul.tabs li:nth-of-type(2) [data-drupal-link-system-path="admin/dpl/1/preview"]', 3000);
        
        browser.expect.element('ul.tabs li:nth-of-type(2) [data-drupal-link-system-path="admin/dpl/1/preview"]').text.to.equal('Visit preview');
        browser.expect.element('ul.tabs li:nth-of-type(3) [data-drupal-link-system-path="admin/dpl/2/preview"]').text.to.equal('Visit live');

        browser
          .click('ul.tabs li:nth-of-type(2) [data-drupal-link-system-path="admin/dpl/1/preview"]')
          .window_handles((result) => {
            browser.verify.equal(result.value.length, 2, 'There should be 2 windows open');
            browser.switchWindow(result.value[1]);

            // Test the URL ...
            browser.verify.urlContains('node/1');
            browser.verify.urlContains('http%3A//preview.example/1');

            // Ensure that the three different sizes are available.
            browser.expect.element('ul.sg-size-options li:nth-of-type(1) a').to.have.attribute('data-cpl-size').equals('300');
            browser.expect.element('ul.sg-size-options li:nth-of-type(2) a').to.have.attribute('data-cpl-size').equals('700');
            browser.expect.element('ul.sg-size-options li:nth-of-type(3) a').to.have.attribute('data-cpl-size').equals('1000');
    
            // Ensure the iframe is 1000px wide by default.
            browser.getElementSize('iframe', (result) => {
              browser.assert.equal(typeof result, "object");
              browser.assert.equal(result.value.width, 804);
            });

            browser.click('ul.sg-size-options li:nth-of-type(1) a');
            browser.getElementSize('iframe', (result) => {
              browser.assert.equal(typeof result, "object");
              browser.assert.equal(result.value.width, 304);
            });

            browser.click('ul.sg-size-options li:nth-of-type(2) a');
            browser.getElementSize('iframe', (result) => {
              browser.assert.equal(typeof result, "object");
              browser.assert.equal(result.value.width, 704);
            });
          });
        
      })
      .end();
  },

};
